summaryrefslogtreecommitdiffstats
path: root/development/scite/scite.SlackBuild
diff options
context:
space:
mode:
author Jens Weber <jens@tuxane.com>2011-07-24 13:09:52 -0500
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-11 20:28:34 -0300
commit8a1a87a0bb75f609d3466d15faffa4733ae1ead4 (patch)
treeb2399088b5084d74fa8d3272a218f04047f8bdaa /development/scite/scite.SlackBuild
parent7b1228c9b34f66df0c7423ad9263ad4b03b9c90e (diff)
downloadslackbuilds-8a1a87a0bb75f609d3466d15faffa4733ae1ead4.tar.gz
slackbuilds-8a1a87a0bb75f609d3466d15faffa4733ae1ead4.tar.xz
development/scite: Updated for version 2.27.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/scite/scite.SlackBuild')
-rw-r--r--development/scite/scite.SlackBuild47
1 files changed, 25 insertions, 22 deletions
diff --git a/development/scite/scite.SlackBuild b/development/scite/scite.SlackBuild
index 7f4569be4e..423c7b7c0d 100644
--- a/development/scite/scite.SlackBuild
+++ b/development/scite/scite.SlackBuild
@@ -1,9 +1,10 @@
#!/bin/sh
# Slackware build script for SciTE
# Written by Iskar Enev <iskar.enev[@]gmail.com>
+# Some modifications for v2.27 by Jens Weber <jens@tuxane.com>
PRGNAM=scite
-VERSION=2.12
+VERSION=2.27
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -20,6 +21,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -34,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -44,38 +46,39 @@ tar xvf $CWD/${PRGNAM}$(echo $VERSION | tr -d .).tgz
chown -R root:root scite/ scintilla/
chmod -R u+w,go+r-w,a-s scite/ scintilla/
-# Build Scintilla first
-cd $TMP/scintilla/gtk
-sed -i "s%CXXBASEFLAGS=-Wall -Wno-missing-braces -Wno-char-subscripts -pedantic -Os %CXXBASEFLAGS=-Wall -Wno-missing-braces -Wno-char-subscripts -pedantic %" makefile
-sed -i "s%CXXFLAGS=-DNDEBUG -Os %CXXFLAGS=-DNDEBUG $SLKCFLAGS %" makefile
-make prefix=/usr
-
-cd $TMP/scite/gtk
-sed -i "s%CXXBASEFLAGS=-W -Wall -Wno-char-subscripts -pedantic -Os %CXXBASEFLAGS=-W -Wall -Wno-char-subscripts -pedantic %" makefile
-sed -i "s%CXXTFLAGS=-DNDEBUG -Os %CXXTFLAGS=-DNDEBUG $SLKCFLAGS %" makefile
+cd $TMP/scintilla
+sed -i "s%-Os%$SLKCFLAGS%g" gtk/makefile
+make -C gtk prefix=/usr
-make prefix=/usr
-make install DESTDIR=$PKG
-
-( cd $PKG/usr/bin ; ln -sf SciTE scite )
+cd $TMP/scite
+sed -i "s%-Os%$SLKCFLAGS%g" gtk/makefile
+sed -i "s%-Os%$SLKCFLAGS%g" src/Embedded.properties
+sed -i "s%-Os%$SLKCFLAGS%g" src/cpp.properties
+make -C gtk prefix=/usr
+make -C gtk install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-cd $TMP/scite
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
-cp -a README License.txt $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PKG/usr/share/scite/*.html $PKG/usr/share/scite/*.png \
- $PKG/usr/doc/$PRGNAM-$VERSION/html
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/bin ; ln -sf SciTE scite )
+
+mkdir -p $PKG/usr/share/scite
+cat $CWD/config/SciTEGlobal.properties >> $PKG/usr/share/scite/SciTEGlobal.properties
mkdir -p $PKG/usr/man/man1
cat doc/scite.1 | gzip -9c > $PKG/usr/man/man1/scite.1.gz
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README License.txt $PKG/usr/doc/$PRGNAM-$VERSION
+for i in $PKG/usr/share/scite/*.html $PKG/usr/share/scite/*.png ; do
+ ln -s /usr/share/scite/$(basename $i) \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html/$(basename $i) ;
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-